-- comparator.vhd
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity comparator is
Port (
        CLK_in:     in  std_logic;
        A:          in  std_logic_vector(9 downto 0);
        B:          in  std_logic_vector(9 downto 0); 
        CMP_OUT:    out std_logic
        
     ); 
end comparator;


Architecture Behavioral of comparator is
Begin

    process (A, B,CLK_in)
    Begin
        if(CLK_in'event and CLK_in='1') then
            if(A<B) then
                CMP_OUT <= '0';
            else
                CMP_OUT <= '1';
            end if;
        end if;
    end process;

end Behavioral;