-- counter.vhd
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;


entity counter is

    Port (
        CLK_in : in std_logic; 
        RST : in std_logic;
        Q : out std_logic_vector (9 downto 0)
        ); 
end counter;

Architecture Behavioral of counter is
Begin

    output: Process(CLK_in,RST)
        variable count : std_logic_vector(9 downto 0);
        Begin
        
        if (RST='1') then 
            count:=(others=>'0'); 
            Q<=(others=>'0');
        elsif (CLK_in'event and CLK_in='1') then 
            count:=(count+1); 
            Q<=count;
        end if;
    end process;

end Behavioral;