-- register.vhd
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity register10bit is 
    Port (
        D: in std_logic_vector(9 downto 0);
        CLK_in: in std_logic;
        LOAD: in std_logic;
        Q: out std_logic_vector(9 downto 0)
    );
end register10bit;

Architecture Behavioral of register10bit is
Begin
    process (CLK_in,LOAD)
    begin
        if(CLK_in'event and CLK_in='1') then
            if (LOAD='1') then
                Q<=D;
            end if;
        end if;
    end process;

end Behavioral;